#
# spec file for package gnu-free-fonts
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define fontname freefont
%define fontversion 20120503
%define _ttfontsdir /usr/share/fonts/truetype

Name:           gnu-free-fonts
Version:        0.%{fontversion}
Release:        8.30
Summary:        Free UCS Outline Fonts
License:        SUSE-GPL-3.0+-with-font-exception
Group:          System/X11/Fonts
Url:            http://savannah.nongnu.org/projects/freefont/
Source0:        http://ftp.gnu.org/gnu/freefont/%{fontname}-src-%{fontversion}.tar.gz
Source10:       remove-kana-glyphs
Source11:       GenerateTrueType
BuildRequires:  fontforge >= 20080429
BuildRequires:  fontpackages-devel
BuildRequires:  python
%reconfigure_fonts_prereq
# freefont was last used at openSUSE 12.1 (version 0.20110523) and at M17N:fonts (version 0.20111101)
Obsoletes:      %{fontname} < %{version}
Provides:       %{fontname} = %{version}
Provides:       scalable-font-bg
Provides:       scalable-font-el
Provides:       scalable-font-he
Provides:       scalable-font-ru
Provides:       locale(bg;el;he;ru;vi)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A set of free outline (OpenType, for example) fonts covering the ISO
10646/Unicode UCS (Universal Character Set). The set consists of three
typefaces: one monospaced and two proportional (one with uniform and
one with modulated stroke).

%prep
%setup -q -n %{fontname}-%{fontversion}

%build
chmod 755 $RPM_SOURCE_DIR/remove-kana-glyphs
$RPM_SOURCE_DIR/remove-kana-glyphs ./sfd/*.sfd
%if 0%{?suse_version} > 1120
make ttf
%else
cp %{SOURCE11} ./tools
fontforge -lang=ff -script ./tools/GenerateTrueType ./sfd/*.sfd
%endif

%install
mkdir -p %{buildroot}%{_ttfontsdir}/
%if 0%{?suse_version} > 1120
install -pm 0644 sfd/*.ttf %{buildroot}%{_ttfontsdir}/
%else
install -pm 0644 *.ttf %{buildroot}%{_ttfontsdir}/
%endif

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING CREDITS ChangeLog README notes/troubleshooting.txt notes/usage.txt
%{_ttfontsdir}

%changelog
* Thu Aug  2 2012 asterios.dramis@gmail.com
- Update to version 0.20120503:
  * Lots of changes (see http://savannah.gnu.org/forum/forum.php?forum_id=7216
    and ChangeLog for details).
- Use the package scripts for generating the fonts in openSUSE > 11.2. Use the
  "GenerateTrueType" external script only for older versions (package fails to
  compile otherwise).
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Wed Mar 14 2012 cfarrell@suse.com
- license update: SUSE-GPL-3.0+-with-font-exception
  There are GPL-3.0 licensed fonts - also, use SUSE- proprietary prefix
  until license is accepted upstream at spdx.org
* Wed Dec 21 2011 toms@suse.de
- Renamed freefont -> gnu-free-fonts according to
  openSUSE packaging guidelines and FATE#313035
  Adjusted Obsoletes and Provides accordingly
* Tue Nov  1 2011 pgajdos@suse.com
- freefont changed to svn:
  svn co svn://svn.savannah.gnu.org/freefont/trunk/freefont
- updated to 0.20111101:
  * Cyrillic: added 'locl' lookup for Serbian/Macedonian 'be'
  * Latin, Diacritics, etc: hungarian umlaut, double grave adjustments
  * Latin: small adjustment to letter spacing
  * Latin: much messing with accents for Vietnamese, some kerning
  * etc. see svn changelog
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Sat Aug 13 2011 andrea.turrini@gmail.com
- fixed typo in freefont.spec
* Mon May 23 2011 pgajdos@novell.com
- updated to 20110523
* Thu Nov 18 2010 pgajdos@suse.cz
- updated to 0.20101118
* Thu Apr  8 2010 tiwai@suse.de
- fix build with new fontforge
- minor clean-ups
* Tue Dec  8 2009 pgajdos@suse.cz
- updated to 0.20091208
- used old but working GenerateTrueType script
* Mon May 26 2008 mfabian@suse.de
- bnc#246804: update to latest release (0.20080323), this seems
  to finally fix the spacing issues in the monospace font.
* Tue Aug  8 2006 mfabian@suse.de
- BuildRequires: xorg-x11-devel is necessary to detect Xorg X11R7.
* Mon Aug  7 2006 mfabian@suse.de
- move fonts to /usr/share/fonts because of the move to Xorg X11R7.
* Fri Aug  4 2006 mfabian@suse.de
- remove "#!BuildIgnore: NX". It is not necessary anymore, on
  the contrary it makes the build fail now for xorg7-SUSE_Factory
  in the openSUSE build service.
* Thu Jul 20 2006 mfabian@suse.de
- add "chmod 755 $RPM_SOURCE_DIR/remove-kana-glyphs" to make
  it build in the openSUSE build service.
  Permissions for any file in $RPM_SOURCE_DIR are nowhere guaranteed
  to be preserved.
* Tue Jul 18 2006 mfabian@suse.de
- add "#!BuildIgnore: NX" to make it build for the
  xorg7-SUSE_Factory in the openSUSE build service.
- add "vi" to the "Provides: locale".
* Tue Jul 18 2006 mfabian@suse.de
- update to 0.20060718.
  + All the fonts now conform to MES-1 (Minimum European Subset) of
    Unicode/ISO 10646. In addition, thanks to Solaiman Karim,
    Omi Azad, K.H. Hussain and R. Chitrajan, OpenType support for
    Bengali (in FreeSerif, FreeSerifItalic, FreeSans and
    FreeSansOblique) and traditional Malayalam (FreeSerif) might
    be mentioned as major new features.
* Wed Mar  1 2006 mfabian@suse.de
- add "Provides: locale(bg;el;he;ru)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec  3 2004 mfabian@suse.de
- use new macro "%%run_suseconfig_fonts".
* Mon Sep 13 2004 mfabian@suse.de
- Bugzilla #45156: add "Provides:     scalable-font-el,
  scalable-font-he, scalable-font-ru, scalable-font-bg".
* Thu Aug 19 2004 ro@suse.de
- PfaEdit has been renamed to fontforge
* Sat Apr 24 2004 sndirsch@suse.de
- fixed neededforbuild (XFree86-libs --> xorg-x11-libs)
* Thu Apr  1 2004 mfabian@suse.de
- Bugzilla #37113: remove Kana to improve the appearance of
  Japanese during the installation.
  Kana without Kanji are completely useless.
  They can only cause problems because it can happen
  that they are combined with Kanji from a completely different
  font which looks very ugly. This happens easily in Qt
  applications because Qt unfortunately treats "Hiragana",
  "Katakana", and "Han" as 3 different Unicode regions and may
  select a different font for each of these regions. I.e. if
  FreeSans is set as the main font in Qt while using Japanese,
  FreeSans will be used no only for Latin but also for Kana and
  only for the Kanji a "real" Japanese font like "Kochi Gothic"
  will be used. This looks very bad. If FreeSans doesn't have
  Kana at all, the "real" Japanese font will be used for the
  Kana and the Kanji, which looks much nicer.
* Thu Mar 18 2004 mfabian@suse.de
- use %%suseconfig_fonts_prereq
* Fri Feb 27 2004 mfabian@suse.de
- update to 0.20040227.
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Tue Feb 24 2004 hmacht@suse.de
- building as non-root
* Sun Sep 14 2003 mfabian@suse.de
- Bugzilla #30768: update to version 0.20030914 which includes
  the U+30FC KATAKANA-HIRAGANA PROLONGED SOUND MARK glyph missing
  in previous versions.
* Mon Aug 18 2003 mfabian@suse.de
- new package, version 0.20030815
